Package org.drinkless.tdlib

# Class TdApi.MessageTopicDirectMessages

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.MessageTopic
org.drinkless.tdlib.TdApi.MessageTopicDirectMessages

Enclosing class:
  `TdApi`

public static class TdApi.MessageTopicDirectMessages extends TdApi.MessageTopic
A topic in a channel direct messages chat administered by the current user.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class org.drinkless.tdlib.TdApi.MessageTopic

  `TdApi.MessageTopic.Constructors`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `long`
  `directMessagesChatTopicId`
  Unique identifier of the topic.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `MessageTopicDirectMessages()`
  A topic in a channel direct messages chat administered by the current user.
  `MessageTopicDirectMessages(long directMessagesChatTopicId)`
  A topic in a channel direct messages chat administered by the current user.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### directMessagesChatTopicId

    public long directMessagesChatTopicId
    Unique identifier of the topic.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### MessageTopicDirectMessages

    public MessageTopicDirectMessages()
    A topic in a channel direct messages chat administered by the current user.

  - ### MessageTopicDirectMessages

    public MessageTopicDirectMessages(long directMessagesChatTopicId)
    A topic in a channel direct messages chat administered by the current user.
    Parameters:
      `directMessagesChatTopicId` - Unique identifier of the topic.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.MessageTopic`
    Returns:
      this.CONSTRUCTOR